org.jboss.jca.adapters.jdbc.extensions.novendor

## Class JDBC4ValidConnectionChecker

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.extensions.novendor.JDBC4ValidConnectionChecker

- All Implemented Interfaces:
    java.io.Serializable, ValidConnectionChecker
  Direct Known Subclasses:
    GoodForSecondsValidConnectionChecker

      public class JDBC4ValidConnectionChecker
      extends java.lang.Object
      implements ValidConnectionChecker, java.io.Serializable

  Use JDBC4 for connection validation
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBC4ValidConnectionChecker()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPingTimeOut()` Get the pingTimeOut.
    `java.sql.SQLException` | `isValidConnection(java.sql.Connection c)` Checks the connection is valid
    `void` | `setPingTimeOut(int v)` Set the pingTimeOut.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBC4ValidConnectionChecker

          public JDBC4ValidConnectionChecker()

      Constructor

  - ### Method Detail

    - #### isValidConnection

          public java.sql.SQLException isValidConnection(java.sql.Connection c)

      Checks the connection is valid
      Specified by:
        `isValidConnection` in interface `ValidConnectionChecker`
      Parameters:
        `c` - the connection
      Returns:
        Exception when not valid, null when valid

    - #### getPingTimeOut

          public int getPingTimeOut()

      Get the pingTimeOut.
      Returns:
        the pingTimeOut.

    - #### setPingTimeOut

          public void setPingTimeOut(int v)

      Set the pingTimeOut.
      Parameters:
        `v` - The pingTimeOut to set.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)